libpst.so.4: pst_recurrence Struct Reference

libpst.so.4

Data Fields
pst_recurrence Struct Reference

This contains the recurrence data separated into fields. More...

`#include <libpst/libpst.h>`

## Data Fields
uint32_t | signature
| 0x30043004 More...
uint32_t | type
uint32_t | sub_type
| implies number of recurrence parameters More...
uint32_t | parm1
| must be contiguous, not an array to make Python interface easier More...
uint32_t | parm2
uint32_t | parm3
uint32_t | parm4
uint32_t | parm5
uint32_t | termination
| type of termination of the recurrence More...
uint32_t | interval
| recurrence interval in terms of the recurrence type More...
uint32_t | bydaymask
| bit mask of days of the week More...
uint32_t | dayofmonth
| day of month for monthly and yearly recurrences More...
uint32_t | monthofyear
| month of year for yearly recurrences More...
uint32_t | position
| occurrence of day for 2nd Tuesday of month, in which case position is 2 More...
uint32_t | count
| number of occurrences, even if recurrence terminates based on date More...

## Detailed Description

This contains the recurrence data separated into fields.

http://www.geocities.com/cainrandom/dev/MAPIRecurrence.html

Definition at line 667 of file libpst.h.

## Field Documentation

## ◆ bydaymask

uint32_t pst_recurrence::bydaymask

bit mask of days of the week

Definition at line 697 of file libpst.h.

## ◆ count

uint32_t pst_recurrence::count

number of occurrences, even if recurrence terminates based on date

Definition at line 705 of file libpst.h.

## ◆ dayofmonth

uint32_t pst_recurrence::dayofmonth

day of month for monthly and yearly recurrences

Definition at line 699 of file libpst.h.

## ◆ interval

uint32_t pst_recurrence::interval

recurrence interval in terms of the recurrence type

Definition at line 695 of file libpst.h.

## ◆ monthofyear

uint32_t pst_recurrence::monthofyear

month of year for yearly recurrences

Definition at line 701 of file libpst.h.

## ◆ parm1

uint32_t pst_recurrence::parm1

must be contiguous, not an array to make Python interface easier

Definition at line 683 of file libpst.h.

## ◆ parm2

uint32_t pst_recurrence::parm2

Definition at line 684 of file libpst.h.

## ◆ parm3

uint32_t pst_recurrence::parm3

Definition at line 685 of file libpst.h.

## ◆ parm4

uint32_t pst_recurrence::parm4

Definition at line 686 of file libpst.h.

## ◆ parm5

uint32_t pst_recurrence::parm5

Definition at line 687 of file libpst.h.

## ◆ position

uint32_t pst_recurrence::position

occurrence of day for 2nd Tuesday of month, in which case position is 2

Definition at line 703 of file libpst.h.

## ◆ signature

uint32_t pst_recurrence::signature

0x30043004

Definition at line 669 of file libpst.h.

## ◆ sub_type

uint32_t pst_recurrence::sub_type

implies number of recurrence parameters

- 0 has 3 parameters
- 1 has 4 parameters
- 2 has 4 parameters
- 3 has 5 parameters

Definition at line 681 of file libpst.h.

## ◆ termination

uint32_t pst_recurrence::termination

type of termination of the recurrence

- 0 terminates on a date
- 1 terminates based on integer number of occurrences
- 2 never terminates

Definition at line 693 of file libpst.h.

## ◆ type

uint32_t pst_recurrence::type

- 0 daily
- 1 weekly
- 2 monthly
- 3 yearly

Definition at line 674 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h